/********************************************************************
 * Job Ticket API (JTAPI) fsgjt_hole_making.h
 *  
 * Copyright (c) 2004 High North Inc.
 * Copyright (c) 2004 International Business Machines Corp.
 * Copyright (c) 2004 Seiko-Epson, Inc.
 * Copyright (c) 2004 Till Kamppeter.  
 * Copyright (c) 2004 Free Standards Group.                   
 *                                                                    
 *                    Common Public License - v 1.0 
 * THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS 
 * COMMON PUBLIC LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR 
 * DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE 
 * OF THIS AGREEMENT.   
 *
 * The Common Public License in its entirety is located in 
 * fsgjt_cpl.h and applies to the contents of this file. 
 *******************************************************************/

#ifndef FSGJT_HOLE_MAKING_H
#define FSGJT_HOLE_MAKING_H

#include <fsgjt.h>
#include <fsgjt_enums.h>

/* Defined constant to uniquely identify this type of JTAPI object */
#define FSGJT_HOLE_MAKING_OBJECT   "JHOL"

/************************************************************
 * HoleMaking attributes
 ***********************************************************/
/* Single value where type is fsgjt_int32_t (Integer) */
#define FSGJT_HOLE_MAKING_COUNT              "hole-making-count"

/* Single value where type is fsgjt_reference_edge_t */
/* (ReferenceEdgeEnum) */
#define FSGJT_HOLE_MAKING_REFERENCE_EDGE
  "hole-making-reference-edge"

/************************************************************
 * fsgjtNewHoleMaking - Creates a HoleMaking object having
 * the provided hole count.
 *
 * param (output) fsgjt_object_t* holeMaking - Pointer to the
 *      new HoleMaking object to create
 * param (input) fsgjt_int32_t holeCount - Count of holes to
 *      make (punch, drill, etc.) for this HoleMaking object
 *
 * return fsgjt_return_code_t
 ***********************************************************/
fsgjt_return_code_t fsgjtNewHoleMaking(
               fsgjt_object_t* holeMaking,
               fsgjt_int32_t holeCount);

#endif /* FSGJT_HOLE_MAKING_H */
