/********************************************************************
 * Job Ticket API (JTAPI) fsgjt_page_range.h
 *  
 * Copyright (c) 2004 High North Inc.
 * Copyright (c) 2004 International Business Machines Corp.
 * Copyright (c) 2004 Seiko-Epson, Inc.
 * Copyright (c) 2004 Till Kamppeter.  
 * Copyright (c) 2004 Free Standards Group.                   
 *                                                                    
 *                    Common Public License - v 1.0 
 * THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS 
 * COMMON PUBLIC LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR 
 * DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE 
 * OF THIS AGREEMENT.   
 *
 * The Common Public License in its entirety is located in 
 * fsgjt_cpl.h and applies to the contents of this file. 
 *******************************************************************/

#ifndef FSGJT_PAGE_RANGE_H
#define FSGJT_PAGE_RANGE_H

#include <fsgjt.h>
#include <fsgjt_enums.h>

/* Defined constant to uniquely identify this type of JTAPI object */
#define FSGJT_PAGE_RANGE_OBJECT    "JPRA"

/************************************************************
 * PageRange attributes
 ***********************************************************/
/* Single value where type is fsgjt_int32_t (Integer) */
#define FSGJT_PAGE_RANGE_LOWER               "page-range-lower"

/* Single value where type is fsgjt_int32_t (Integer) */
#define FSGJT_PAGE_RANGE_UPPER               "page-range-upper"

/************************************************************
 * fsgjtNewPageRange - Creates a PageRange object having the
 * provided lower and upper bounds.
 *
 * param (output) fsgjt_object_t* pageRange - Pointer to the
 *      new PageRange object to create
 * param (input) fsgjt_int32_t lower - Page number where
 *      the page range is to begin (inclusive)
 * param (input) fsgjt_int32_t upper - Page number where
 *      the page range is to end (inclusive)
 *
 * return fsgjt_return_code_t
 ***********************************************************/
fsgjt_return_code_t fsgjtNewPageRange(
               fsgjt_object_t* pageRange,
               fsgjt_int32_t lower,
               fsgjt_int32_t upper);

#endif /* FSGJT_PAGE_RANGE_H */
