/********************************************************************
 * Job Ticket API (JTAPI) fsgjt_stitching.h
 *  
 * Copyright (c) 2004 High North Inc.
 * Copyright (c) 2004 International Business Machines Corp.
 * Copyright (c) 2004 Seiko-Epson, Inc.
 * Copyright (c) 2004 Till Kamppeter.  
 * Copyright (c) 2004 Free Standards Group.                   
 *                                                                    
 *                    Common Public License - v 1.0 
 * THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS 
 * COMMON PUBLIC LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR 
 * DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE 
 * OF THIS AGREEMENT.   
 *
 * The Common Public License in its entirety is located in 
 * fsgjt_cpl.h and applies to the contents of this file. 
 *******************************************************************/

#ifndef FSGJT_STITCHING_H
#define FSGJT_STITCHING_H

#include <fsgjt.h>
#include <fsgjt_enums.h>

/* Defined constant to uniquely identify this type of JTAPI object */
#define FSGJT_STITCHING_OBJECT     "JSTI"

/************************************************************
 * Stitching attributes
 ***********************************************************/
/* Single value where type is fsgjt_int32_t (Integer) */
#define FSGJT_STITCHING_ANGLE                "stitching-angle"

/* Single value where type is fsgjt_int32_t (Integer) */
#define FSGJT_STITCHING_COUNT                "stitching-count"

/* Single value where type is fsgjt_reference_edge_t */
/* (ReferenceEdgeEnum) */
#define FSGJT_STITCHING_REFERENCE_EDGE
  "stitching-reference-edge"

/* Single value where type is fsgjt_stitching_type_t
   (StitchingTypeEnum) */
#define FSGJT_STITCHING_TYPE                 "stitching-type"

/************************************************************
 * fsgjtNewStitching - Creates a Stitching object having the 
 * provided stitching type.
 *
 * param (output) fsgjt_object_t* stitching - Pointer to the 
 *      new Stitching object to create
 * param (input) fsgjt_stitching_type_t stitchingType - Type
 *      (edge, corner, etc.) for this Stitching object
 *
 * return fsgjt_return_code_t
 ***********************************************************/
fsgjt_return_code_t fsgjtNewStitching(
               fsgjt_object_t* stitching,
               fsgjt_stitching_type_t stitchingType);

#endif /* FSGJT_STITCHING_H */
